Friday, May 24, 2013

Eclipse Xquery plugin and editor

XQuery Development Tools Installation  provides simple instructions to install XQDT and Zorba Xquery adapter.

In summary, you need to add the remote site http://download.eclipse.org/webtools/incubator/repository/xquery/milestones/ and install XQDT Core Features .

If your are using Eclipse 3.8 Juno or above, Cannot Install XQDT in Eclipse Error may occur.

Cannot complete the install because one or more required items could not be found.
  Software being installed: XQuery Development Tools Feature 0.8.0.201107251305 (org.eclipse.wst.xquery.feature.feature.group 0.8.0.201107251305)
  Missing requirement: XQDT Core Plug-in 0.8.0.201107251305 (org.eclipse.wst.xquery.core 0.8.0.201107251305) requires 'bundle org.eclipse.dltk.core [3.0.0,4.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: XQuery Development Tools Feature 0.8.0.201107251305 (org.eclipse.wst.xquery.feature.feature.group 0.8.0.201107251305)
To: org.eclipse.wst.xquery.core [0.8.0.201107251305]

In order to overcome this issue, as suggested in the stackoverflow answer, install DLTK 3.0.0 from Eclipse Indigo update site - http://download.eclipse.org/releases/indigo.


You can also consider installing from DLTK Downloads directly any DLTK version that is greater than or equal to 3.0.0 but less than 4.0.0.

No comments: